[gst-devel] link problem?

Joshua N Pritikin vishnu at pobox.com
Tue Jul 24 06:05:55 CEST 2001

On Mon, Jul 23, 2001 at 12:08:43PM -0700, Erik Walthinsen wrote:
> On Mon, 23 Jul 2001, Joshua N Pritikin wrote:
> > Here are the versions i'm using:
> >
> >  pkgconfig-0.7.0.tar.gz
> >  freetype-2.0.2.tar.bz2
> >  gtk+-all-1.3.6.tar.gz
> >  gstreamer-0.2.1.tar.bz2
> The problem is that while we do use glib-2.0 and gobject-2.0, we have not
> ported nor do we have shims to use gtk-2.0.  I also have never tried to
> link against gtk-2.0, so there are likely some minor issues left over as
> far as what gst_init() actually does, and whether some of that is being
> done wrong in the case of gtk_init() already having been called.  I'll
> look into that sometime soon.
> In the meantime, if you can link against gtk-1.2, I'd suggesting doing so.

Huh?  Now i'm really confused.  i thought one of the ideas of porting gstreamer to
glib-2.0 was to remove any dependency on gtk.

Your suggested solution is also strange.  Do you suggest that i link against both
glib-2.0 and glib-1.2 (for gtk-1.2) in the same binary?

Fortunately, i can work on the gtk part separately from the gstreamer part.
i was just testing the library combinations for future integration work.


Get self-realization at <http://sahajayoga.org> ... <http://why-compete.org> ?
  Victory to the Divine Mother!!

More information about the gstreamer-devel mailing list